org.springframework.data.repository.core

## Interface EntityMetadata<T>

All Known Subinterfaces:
  EntityInformation<T,ID>

All Known Implementing Classes:
  AbstractEntityInformation, DelegatingEntityInformation, PersistentEntityInformation

    public interface EntityMetadata<T>

Metadata for entity types.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<T>` `getJavaType()` Returns the actual domain class type.

### Method Detail

#### getJavaType

    Class<T> getJavaType()

Returns the actual domain class type.

Returns: